<?php  #For InstantCMS from Maximov.

class p_hidelinks extends cmsPlugin {

	public function __construct(){

		parent::__construct();

		$this->info['plugin']		= 'p_hidelinks';
		$this->info['title']		= 'Скрываем ссылки';
		$this->info['description']	= 'Плагин скрывает ссылки от незарегистрированных пользователей';
		$this->info['author']		= 'Maximov';
		$this->info['version']		= '0.3';

		$this->events[]				= 'GET_COMMENTS';
		$this->events[]				= 'GET_WALL_POSTS';
		$this->events[]				= 'GET_FORUM_POSTS';
		$this->events[]				= 'GET_FORUM_POST';
		$this->events[]				= 'GET_POSTS';
		$this->events[]				= 'GET_POST';

		$this->config['Прятать ссылки от ГОСТЕЙ за текстом']=" [только для пользователей сайта] ";
		$this->config['Сайты которые прятать от ВСЕХ']="rival1.ru|rival2.ru|rival3.ru";
		$this->config['и вместо ссылок на них писать']=" [плохой сайт] ";

	}

	public function install(){	return parent::install();	}
	public function upgrade(){	return parent::upgrade();	}

	public function execute($event, $item){
		parent::execute();

		if ($event=='GET_COMMENTS' or $event=='GET_WALL_POSTS') {$content='content';}
		else{$content='content_html';}

		$inUser = cmsUser::getInstance();

		if ($event=='GET_POST' or $event=='GET_FORUM_POST') {
			if ($this->config['Сайты которые прятать от ВСЕХ']){
				$bad = str_replace(".", "\.", $this->config['Сайты которые прятать от ВСЕХ']);
				$item[$content]=preg_replace("!<a [^>]+(".$bad.")[^<]+</a>!i", "<b>".$this->config['и вместо ссылок на них писать']."</b>", $item[$content]);
			}
			if (!$inUser->id) {
				$item[$content]=preg_replace('!<a href="\/go\/url.*a>!Ui', "<b><a href=\"/registration\">".$this->config['Прятать ссылки от ГОСТЕЙ за текстом']."</a></b>", $item[$content]);
			}
		}else{
			for ($i=0; $i<count($item);$i++ ){
				if ($this->config['Сайты которые прятать от ВСЕХ']){
					$bad = str_replace(".", "\.", $this->config['Сайты которые прятать от ВСЕХ']);
					$item[$i][$content]=preg_replace("!<a [^>]+(".$bad.")[^<]+</a>!i", "<b>".$this->config['и вместо ссылок на них писать']."</b>", $item[$i][$content]);
				}
				if (!$inUser->id) {
					$item[$i][$content]=preg_replace('!<a href="\/go\/url.*a>!Ui', "<b><a href=\"/registration\">".$this->config['Прятать ссылки от ГОСТЕЙ за текстом']."</a></b>", $item[$i][$content]);
				}
			}
		}
		return $item;
	}
}
?>
